没有OBJMTLLoader.js库

jike_qjcjh 动手写第一个 Three.js... 最后由 huqingchao 于2017年06月23日回复

  • 5 回答
  • 3.5k 浏览

我下载的three.js包里没有没有OBJMTLLoader.js库,是不是新版取消了。

  • qq_s68zbphf 2017年06月22日 回答 #3楼
  • 我用把删掉的代码复制出来,但是还是用的时候报错怎么办?

    1oruhkhx4n98y.jpeg

    0giz1uxty84hh.jpeg

  • 0 评论
  • qq_s68zbphf 2017年06月22日 回答 #4楼
  • 我知道怎么加载材质了,调用MTLLoader.js就行了,下面附上核心代码,不用感谢我,我也是不断查询资料各种尝试得到的,献给那些没有人指导几乎学习无门的朋友们,加油;

    2ikbm2w0gni8k.jpeg

  • 7 评论
  • huqingchao 2017年06月23日 回答 #5楼
  • 这个答复很好,非常感谢。

    这里要提醒各位学员,教程里使用的是某个固定版本,新版Three.js的API做了大量调整,如果要使用教程里的代码,就必须同时使用教程附带的Three.js,否则会出现上述异常。或者直接全部使用新版Three.js。总之,版本必须一致,不能混用。

  • 1 评论